Galon Cloud
Galon API v1

/projects/{project_id}/mail/subscription/cancel

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /projects/{project_id}/mail/subscription/cancel

Stop renewal of a Mail product (the plan remains active until the end of the paid period)

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
productquery"transactional" | "marketing"

Responses

StatusDescriptionBody
200Renewal stopped (billing stopped, no refund); the plan remains active until ends_at, then the project reverts to FreeMailCancellation
403Administrator required
404Subscription not found
409Cancellation refused
503Billing unavailable

Examples

curl

curl -X POST "$GALON_API_BASE/projects/<project_id>/mail/subscription/cancel" \
  -H "Authorization: Bearer $GALON_API_KEY"